{%load static%}

<head>
    <title>Astrayrevise's Messaging Service </title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static "style.css" %}">
    <script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-3.3.1.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <link rel="stylesheet" href="http://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
</head>

<body>
    <script src="{% static "testing.js" %}" type="text/javascript"></script>
    <div class="profilePage container" id=profilePage>
        <div id="resultsched" class="jumbotron container">
            <section name="messageform">
                <h1>Hello! Apa kabar?!</h1>
                <a href='{% url 'lab06:profile'%}'>
                    see profile
                </a>
                <h2>Messaging Service</h2>
                <form id="form" method="POST" action="{% url 'lab06:form_process' %}">
                    {% csrf_token %}
                    {{form}}
                </form>
                <button id="submit" , type="submit" , class="btn btn-primary" , form="form" , value="Submit">Submit</button>
                <button id="change1" , class="btn btn-primary">Change</button>
            </section>
            <section name="Result" , style="margin:10px">
                {% for i in message reversed %}
                <h5>From : {{i.sender}}</h5>
                Message:
                {{i.message}}
                <br>
                sent : {{i.time}}
                <hr>
                {%endfor%}
            </section>
        </div>
    </div>

</body>